### Method

# GExiv2 Metadata try_set_exif_thumbnail_from_buffer

deprecated: 0.16.0 since: 0.14.0

#### Declaration [src]

    void
    gexiv2_metadata_try_set_exif_thumbnail_from_buffer (
      GExiv2Metadata* self,
      const guint8* buffer,
      gint size,
      GError** error
    )

#### Description [src]

Sets or replaces the EXIF thumbnail with the data in `buffer`.

Available since: 0.14.0

Deprecated since: 0.16.0

Use `gexiv2_metadata_set_exif_thumbnail_from_buffer()` instead.

#### Parameters

`buffer`

  Type: An array of `guint8`

  A buffer containing thumbnail data.

  The length of the array is specified in the `size` argument.
  The data is owned by the caller of the method.

`size`

  Type: `gint`

  Size of the thumbnail’s buffer.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.